### Hierarchy

- Curry

### Callable

- __call<T1, R>(func: function, arity?: undefined | number): CurriedFunction1<T1, R>
- __call<T1, T2, R>(func: function, arity?: undefined | number): CurriedFunction2<T1, T2, R>
- __call<T1, T2, T3, R>(func: function, arity?: undefined | number): CurriedFunction3<T1, T2, T3, R>
- __call<T1, T2, T3, T4, R>(func: function, arity?: undefined | number): CurriedFunction4<T1, T2, T3, T4, R>
- __call<T1, T2, T3, T4, T5, R>(func: function, arity?: undefined | number): CurriedFunction5<T1, T2, T3, T4, T5, R>
- __call(func: function, arity?: undefined | number): function

- - Defined in node_modules/@types/lodash/common/function.d.ts:198

  Creates a function that accepts one or more arguments of func that when called either invokes func returning its result, if all func arguments have been provided, or returns a function that accepts one or more of the remaining func arguments, and so on. The arity of func may be specified if func.length is not sufficient.

  #### Type parameters

  - #### T1

  - #### R

  #### Parameters

  - ##### func: function

    The function to curry.

    - - (t1: T1): R

      - #### Parameters

        - ##### t1: T1

        #### Returns R

  - ##### Optional arity: undefined | number

    The arity of func.

  #### Returns CurriedFunction1<T1, R>

  Returns the new curried function.

- - Defined in node_modules/@types/lodash/common/function.d.ts:208

  Creates a function that accepts one or more arguments of func that when called either invokes func returning its result, if all func arguments have been provided, or returns a function that accepts one or more of the remaining func arguments, and so on. The arity of func may be specified if func.length is not sufficient.

  #### Type parameters

  - #### T1

  - #### T2

  - #### R

  #### Parameters

  - ##### func: function

    The function to curry.

    - - (t1: T1, t2: T2): R

      - #### Parameters

        - ##### t1: T1

        - ##### t2: T2

        #### Returns R

  - ##### Optional arity: undefined | number

    The arity of func.

  #### Returns CurriedFunction2<T1, T2, R>

  Returns the new curried function.

- - Defined in node_modules/@types/lodash/common/function.d.ts:218

  Creates a function that accepts one or more arguments of func that when called either invokes func returning its result, if all func arguments have been provided, or returns a function that accepts one or more of the remaining func arguments, and so on. The arity of func may be specified if func.length is not sufficient.

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### R

  #### Parameters

  - ##### func: function

    The function to curry.

    - - (t1: T1, t2: T2, t3: T3): R

      - #### Parameters

        - ##### t1: T1

        - ##### t2: T2

        - ##### t3: T3

        #### Returns R

  - ##### Optional arity: undefined | number

    The arity of func.

  #### Returns CurriedFunction3<T1, T2, T3, R>

  Returns the new curried function.

- - Defined in node_modules/@types/lodash/common/function.d.ts:228

  Creates a function that accepts one or more arguments of func that when called either invokes func returning its result, if all func arguments have been provided, or returns a function that accepts one or more of the remaining func arguments, and so on. The arity of func may be specified if func.length is not sufficient.

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### R

  #### Parameters

  - ##### func: function

    The function to curry.

    - - (t1: T1, t2: T2, t3: T3, t4: T4): R

      - #### Parameters

        - ##### t1: T1

        - ##### t2: T2

        - ##### t3: T3

        - ##### t4: T4

        #### Returns R

  - ##### Optional arity: undefined | number

    The arity of func.

  #### Returns CurriedFunction4<T1, T2, T3, T4, R>

  Returns the new curried function.

- - Defined in node_modules/@types/lodash/common/function.d.ts:238

  Creates a function that accepts one or more arguments of func that when called either invokes func returning its result, if all func arguments have been provided, or returns a function that accepts one or more of the remaining func arguments, and so on. The arity of func may be specified if func.length is not sufficient.

  #### Type parameters

  - #### T1

  - #### T2

  - #### T3

  - #### T4

  - #### T5

  - #### R

  #### Parameters

  - ##### func: function

    The function to curry.

    - - (t1: T1, t2: T2, t3: T3, t4: T4, t5: T5): R

      - #### Parameters

        - ##### t1: T1

        - ##### t2: T2

        - ##### t3: T3

        - ##### t4: T4

        - ##### t5: T5

        #### Returns R

  - ##### Optional arity: undefined | number

    The arity of func.

  #### Returns CurriedFunction5<T1, T2, T3, T4, T5, R>

  Returns the new curried function.

- - Defined in node_modules/@types/lodash/common/function.d.ts:248

  Creates a function that accepts one or more arguments of func that when called either invokes func returning its result, if all func arguments have been provided, or returns a function that accepts one or more of the remaining func arguments, and so on. The arity of func may be specified if func.length is not sufficient.

  #### Parameters

  - ##### func: function

    The function to curry.

    - - (...args: any[]): any

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns any

  - ##### Optional arity: undefined | number

    The arity of func.

  #### Returns function

  Returns the new curried function.

  - - (...args: any[]): any

    - #### Parameters

      - ##### Rest ...args: any[]

      #### Returns any

## Index

### Properties

- placeholder

## Properties

### placeholder

placeholder: __

- Defined in node_modules/@types/lodash/common/function.d.ts:259

Generated using TypeDoc